### Method

# GUPnPAV DIDLLiteObject get_artist

deprecated: 0.5.3

#### Declaration [src]

    const char*
    gupnp_didl_lite_object_get_artist (
      GUPnPDIDLLiteObject* object
    )

#### Description [src]

Get the artist of the `object`. If role is not `NULL`, it is set to the role of the artist if available.

Deprecated since: 0.5.3

Use #gupnp_didl_lite_object_get_artists instead.

Gets property | `GUPnPAV.DIDLLiteObject:artist`

#### Return value

Type: `const char*`

The artist of the `object`, or `NULL`.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.